org.appng.xml.application

## Class Template

- java.lang.Object
- - org.appng.xml.application.PackageInfo
  - - org.appng.xml.application.Template

-     public class Template
      extends PackageInfo

  Java class for template complex type.

  The following schema fragment specifies the expected content contained within this class.

       <complexType name="template">
         <complexContent>
           <extension base="{http://www.appng.org/schema/application}packageInfo">
             <attribute name="type" type="{http://www.appng.org/schema/application}templateType" default="xsl" />
           </extension>
         </complexContent>
       </complexType>

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected TemplateType` | `type`

    - ### Fields inherited from class org.appng.xml.application.PackageInfo

      `appngVersion, description, displayName, longDescription, name, timestamp, version`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Template()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `TemplateType` | `getType()` Gets the value of the type property.
    `void` | `setType(TemplateType value)` Sets the value of the type property.

    - ### Methods inherited from class org.appng.xml.application.PackageInfo

      `getAppngVersion, getDescription, getDisplayName, getLongDescription, getName, getTimestamp, getVersion, setAppngVersion, setDescription, setDisplayName, setLongDescription, setName, setTimestamp, setVersion`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### type

          protected TemplateType type

  - ### Constructor Detail

    - #### Template

          public Template()

  - ### Method Detail

    - #### getType

          public TemplateType getType()

      Gets the value of the type property.
      Returns:
        possible object is `TemplateType`

    - #### setType

          public void setType(TemplateType value)

      Sets the value of the type property.
      Parameters:
        `value` - allowed object is `TemplateType`

Copyright © 2011–2023 aiticon GmbH. All rights reserved.